"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

var _commander = _interopRequireDefault(require("commander"));

var _package = _interopRequireDefault(require("../package.json"));

var packez = _interopRequireWildcard(require("./index"));

var _path = _interopRequireDefault(require("path"));

var _paths = _interopRequireDefault(require("./config/paths"));

_commander.default.version(_package.default.version) // .option("-w, --watch", "是否监控文件改变")
.option("-d, --outDir [outDir]", "输出到指定目录，默认为 dist", "dist") // .option("-t, --target [target]", "转换目标格式：web | node 默认为 web", /^node|web$/, "web")
// .option("-c, --clean", "转换前清空输出目录")
// .option("-p, --publicPath [publicPath]", "publicPath", "")
.option("--config [config]", "configFile", "./packez.config.js") // .option("--state [state]", "state", "")
.parse(process.argv);

const options = _commander.default.opts();

const validExecutors = ["build", "server"];
const args = _commander.default.args;
const outputDir = options.outDir || "dist";
let entry = "./src/index";
let executor = "server";

if (args.length === 1) {
  entry = args[0];
} else if (args.length > 1) {
  executor = args[0];
  entry = args[1];
}

if (validExecutors.indexOf(executor) === -1) {
  throw new Error(`packez method ${executor} not exists! you may use build,server`);
}

packez[executor](_path.default.resolve(_paths.default.root, entry), _path.default.resolve(_paths.default.root, outputDir), {
  configFile: options.config
});