"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

exports.__esModule = true;
exports.server = server;

var _webpack = _interopRequireDefault(require("webpack"));

var _webpackDevServer = _interopRequireDefault(require("webpack-dev-server"));

var _webpack2 = _interopRequireDefault(require("../config/webpack.dev"));

var _paths = _interopRequireDefault(require("../config/paths"));

var _loadConfigFile = _interopRequireDefault(require("../utils/loadConfigFile"));

function server(entry = _paths.default.root + "/index", outDir = _paths.default.dist, options = {}) {
  process.env.NODE_ENV = "development";
  const webpackConfig = (0, _webpack2.default)(Object.assign({}, options, {
    // entry 路径必须绝对地址
    entry: entry,
    output: {
      path: outDir
    }
  }));
  (0, _loadConfigFile.default)(webpackConfig, options);
  const devServerOptions = webpackConfig.devServer || {};
  const compiler = (0, _webpack.default)(webpackConfig);
  const server = new _webpackDevServer.default(devServerOptions, compiler);
  server.startCallback(() => {// console.log("Successfully started server on " + url);
  });
}